Clinia
MDMCollections

List collections in the MDM

GET
/mdm/v1/collections

List collections in the MDM.

X-Clinia-API-Key<token>

In: header

Query Parameters

page?integer
perPage?integer

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/mdm/v1/collections"
{  "meta": {    "numPages": 0,    "page": 0,    "perPage": 0,    "total": 0  },  "data": [    {      "key": "string",      "profile": {        "sourceProfiles": [          {            "source": "string",            "type": "string"          }        ]      },      "resolutionRule": {        "resolvers": {          "property1": {            "outcome": "MATCH_TYPE_NO_MATCH",            "filter": {              "id": "string",              "composite": {                "property1": [                  {                    "id": "string",                    "and": [                      null                    ]                  }                ],                "property2": [                  {                    "id": "string",                    "and": [                      null                    ]                  }                ]              }            }          },          "property2": {            "outcome": "MATCH_TYPE_NO_MATCH",            "filter": {              "id": "string",              "composite": {                "property1": [                  {                    "id": "string",                    "and": [                      null                    ]                  }                ],                "property2": [                  {                    "id": "string",                    "and": [                      null                    ]                  }                ]              }            }          }        },        "properties": {          "property1": {            "type": "address",            "readOnly": false,            "description": "string",            "rules": [              {                "required": true,                "pattern": "string",                "enum": [                  "string"                ],                "min": 0,                "max": 0,                "when": {                  "id": "string",                  "and": [                    null                  ]                }              }            ],            "binding": {              "vocabulary": {                "key": "string",                "strength": "required"              }            },            "modelId": "string",            "enrichedProperties": {},            "properties": {              "property1": {                "rules": [                  {                    "required": true,                    "pattern": "string",                    "enum": [                      "string"                    ],                    "min": 0,                    "max": 0,                    "when": {                      "id": "string",                      "and": [                        null                      ]                    }                  }                ],                "properties": {                  "property1": {},                  "property2": {}                },                "items": {},                "binding": {                  "vocabulary": {                    "key": "string",                    "strength": "required"                  }                }              },              "property2": {                "rules": [                  {                    "required": true,                    "pattern": "string",                    "enum": [                      "string"                    ],                    "min": 0,                    "max": 0,                    "when": {                      "id": "string",                      "and": [                        null                      ]                    }                  }                ],                "properties": {                  "property1": {},                  "property2": {}                },                "items": {},                "binding": {                  "vocabulary": {                    "key": "string",                    "strength": "required"                  }                }              }            }          },          "property2": {            "type": "address",            "readOnly": false,            "description": "string",            "rules": [              {                "required": true,                "pattern": "string",                "enum": [                  "string"                ],                "min": 0,                "max": 0,                "when": {                  "id": "string",                  "and": [                    null                  ]                }              }            ],            "binding": {              "vocabulary": {                "key": "string",                "strength": "required"              }            },            "modelId": "string",            "enrichedProperties": {},            "properties": {              "property1": {                "rules": [                  {                    "required": true,                    "pattern": "string",                    "enum": [                      "string"                    ],                    "min": 0,                    "max": 0,                    "when": {                      "id": "string",                      "and": [                        null                      ]                    }                  }                ],                "properties": {                  "property1": {},                  "property2": {}                },                "items": {},                "binding": {                  "vocabulary": {                    "key": "string",                    "strength": "required"                  }                }              },              "property2": {                "rules": [                  {                    "required": true,                    "pattern": "string",                    "enum": [                      "string"                    ],                    "min": 0,                    "max": 0,                    "when": {                      "id": "string",                      "and": [                        null                      ]                    }                  }                ],                "properties": {                  "property1": {},                  "property2": {}                },                "items": {},                "binding": {                  "vocabulary": {                    "key": "string",                    "strength": "required"                  }                }              }            }          }        },        "mappings": [          {            "source": "string",            "type": "string",            "paths": {              "property1": "string",              "property2": "string"            }          }        ]      }    }  ]}